cosmetic, handle nodeupdate itself first
Thierry Parmentelat [Mon, 27 Jun 2011 08:18:56 +0000 (10:18 +0200)]
NodeUpdate.py

index ff0403c..afd0704 100644 (file)
@@ -52,7 +52,7 @@ DELETE_RPM_LIST_FILE= '/etc/planetlab/delete-rpm-list'
 # so, we force the update of crucial pkgs independently, as 
 # the whole group is sometimes too much to swallow 
 # this one is builtin
-CRUCIAL_PACKAGES_BUILTIN=[ 'NodeManager' , 'NodeUpdate' ]
+CRUCIAL_PACKAGES_BUILTIN=[ 'NodeUpdate' , 'NodeManager' ]
 # and operations can also try to push a list through a conf_file
 # should use the second one for consistency, try the first one as well for legacy
 CRUCIAL_PACKAGES_OPTIONAL_PATH1='/etc/planetlab/NodeUpdate.packages'